Support » Plugin: OneSignal - Web Push Notifications » Not compatible with PHP 7.2?

  • Resolved Dmitriy

    (@singulis)


    Hi. When using PHP 7.2 errors appear:
    Deprecated: Function create_function() is deprecated in [site path]\wp-content\plugins\onesignal-free-web-push-notifications\onesignal-widget.php on line 46
    Warning: Cannot modify header information – headers already sent by (output started at [site path]\wp-content\plugins\onesignal-free-web-push-notifications\onesignal-widget.php:46) in [site path]\glashkoff.com\wp-includes\pluggable.php on line 1216
    Is the plugin not compatible with PHP 7.2?

Viewing 1 replies (of 1 total)
  • These are warnings, but should be fixed for PHP7.2 compatibility:

    wp-content/plugins/onesignal-free-web-push-notifications/onesignal-widget.php:46
    wp-content/plugins/onesignal-free-web-push-notifications/onesignal-settings.php:122

Viewing 1 replies (of 1 total)
  • The topic ‘Not compatible with PHP 7.2?’ is closed to new replies.